Subject: [alpine-devel] [PATCH 1/4] testing/perl-net-snpp: new aport

From: Jeff Bilyk <[email-masked]>
Date: Fri, 1 Apr 2011 09:52:46 +0000

perl-net-snpp: new aport
---
 testing/perl-net-snpp/APKBUILD |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-net-snpp/APKBUILD

diff --git a/testing/perl-net-snpp/APKBUILD b/testing/perl-net-snpp/APKBUILD
new file mode 100644
index 0000000..4161379
--- /dev/null
+++ b/testing/perl-net-snpp/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor:  Jeff Bilyk <[email-masked]>
+# Maintainer:  Leonardo Arena <[email-masked]>
+pkgname=perl-net-snpp
+_realname=Net-SNPP
+pkgver=1.17
+pkgrel=0
+pkgdesc="Perl Simple Network Pager Protocol Client"
+url="http://search.cpan.org/~tobeya/"
+arch="x86 x86_64"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages=""
+source="http://search.cpan.org/CPAN/authors/id/T/TO/TOBEYA/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+build() {
+	cd $_builddir
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd $_builddir
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+
+}
+
+md5sums="18f61a774906cd27ca14dcbf311e6bf0  Net-SNPP-1.17.tar.gz"
-- 
1.7.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Jeff Bilyk <[email-masked]>
Date: Fri, 1 Apr 2011 09:52:48 +0000

perl-test-mockobject: new aport
---
 testing/perl-test-mockobject/APKBUILD |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-test-mockobject/APKBUILD

diff --git a/testing/perl-test-mockobject/APKBUILD b/testing/perl-test-mockobject/APKBUILD
new file mode 100644
index 0000000..ff690f4
--- /dev/null
+++ b/testing/perl-test-mockobject/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor:  Jeff Bilyk <[email-masked]>
+# Maintainer:  Leonardo Arena <[email-masked]>
+pkgname=perl-test-mockobject
+_realname=Test-MockObject
+pkgver=1.09
+pkgrel=0
+pkgdesc="Perl Mock part of an object or class"
+url="http://search.cpan.org/~chromatic/"
+arch="x86 x86_64"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages=""
+source="http://search.cpan.org/CPAN/authors/id/C/CH/CHROMATIC/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+build() {
+	cd $_builddir
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd $_builddir
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+
+}
+
+md5sums="3c9c2842d40fa8c389563c227804d7d8  Test-MockObject-1.09.tar.gz"
-- 
1.7.4.1

---

---

From: Jeff Bilyk <[email-masked]>
Date: Fri, 1 Apr 2011 09:52:47 +0000

testing/perl-sys-hostname-long: new aport
---
 testing/perl-sys-hostname-long/APKBUILD |   33 +++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-sys-hostname-long/APKBUILD

diff --git a/testing/perl-sys-hostname-long/APKBUILD b/testing/perl-sys-hostname-long/APKBUILD
new file mode 100644
index 0000000..ebff46a
--- /dev/null
+++ b/testing/perl-sys-hostname-long/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor:  Jeff Bilyk <[email-masked]>
+# Maintainer:  Leonardo Arena <[email-masked]>
+pkgname=perl-sys-hostname-long
+_realname=Sys-Hostname-Long
+pkgver=1.4
+pkgrel=0
+pkgdesc="Perl Module to get full hostname"
+url="http://search.cpan.org/~scott/"
+arch="x86 x86_64"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages=""
+source="http://search.cpan.org/CPAN/authors/id/S/SC/SCOTT/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+build() {
+	cd $_builddir
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd $_builddir
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+
+}
+
+md5sums="a5b3c23754cbcff10e283d16c42ec3d3  Sys-Hostname-Long-1.4.tar.gz"
-- 
1.7.4.1

---

---

From: Natanael Copa <[email-masked]>
Date: Fri, 1 Apr 2011 16:31:23 +0200

On Fri,  1 Apr 2011 09:52:46 +0000
Jeff Bilyk <[email-masked]> wrote:

> perl-net-snpp: new aport
> ---
>  testing/perl-net-snpp/APKBUILD |   33
> +++++++++++++++++++++++++++++++++ 1 files changed, 33 insertions(+),
> 0 deletions(-) create mode 100644 testing/perl-net-snpp/APKBUILD
> 
> diff --git a/testing/perl-net-snpp/APKBUILD
> b/testing/perl-net-snpp/APKBUILD new file mode 100644
> index 0000000..4161379
> --- /dev/null

are there any specific reason this package should not run on future
archs, like misp, arm or sparc?

I applied and changed arch to noarch since there didnt seem to be any
arch specfic binaries.

Same for the other packages you sent.

Thanks!

-nc

---

---

From: Jeff Bilyk <[email-masked]>
Date: Fri, 1 Apr 2011 10:43:46 -0400

On Fri, Apr 1, 2011 at 10:31 AM, Natanael Copa <[email-masked]>wrote:

> None that i can think of.

> Same for the other packages you sent.

Thanks,

Jeff

---

From: Jeff Bilyk <[email-masked]>
Date: Fri, 1 Apr 2011 09:52:49 +0000

sendpage: new aport
---
 testing/sendpage/APKBUILD |   46 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 46 insertions(+), 0 deletions(-)
 create mode 100644 testing/sendpage/APKBUILD

diff --git a/testing/sendpage/APKBUILD b/testing/sendpage/APKBUILD
new file mode 100644
index 0000000..dbad94b
--- /dev/null
+++ b/testing/sendpage/APKBUILD
@@ -0,0 +1,46 @@
+# Maintainer: Jeff Bilyk <[email-masked]>
+pkgname=sendpage
+pkgver=1.0.3
+_pkgver=1.000003
+pkgrel=0
+pkgdesc="SNPP server, client, queueing engine, modem control and TAP system"
+url="http://www.sendpage.org"
+arch="all"
+license="GPL"
+depends=
+depends_dev="perl perl-mail-tools perl-net-snpp perl-device-serialport perl-dbi perl-sys-hostname-long perl-test-mockobject"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$_pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$_pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	perl ./Makefile.PL \
+		PREFIX="/usr" \
+		INSTALLSITELIB="/usr/lib/perl5/site_perl" \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	# Remove useless folder, since it has nothing of value in it
+	rm -r "$pkgdir"/usr/local
+	# Prevent perl file collisions
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="586afe41d6cd82d045fdc34ccf99cab3  sendpage-1.000003.tar.gz"
-- 
1.7.4.1

---